/titanic_51/usr/src/test/util-tests/tests/dladm/ |
H A D | set-linkprop.ksh | 29 fatal() function 44 dladm delete-etherstub $vm_stub || fatal \ 50 dladm create-etherstub $vm_stub || fatal \ 59 dladm create-vnic $flags -l $vm_stub $dev 2>/dev/null || fatal \ 67 dladm delete-vnic $dev || fatal "failed to delete vnic: $dev" 80 [[ -z "$dev" ]] && fatal "missing required device" 81 [[ -z "$prop" ]] && fatal "missing required prop" 82 [[ -z "$val" ]] && fatal "missing required val" 84 [[ $? -eq 0 ]] || fatal "failed to get $prop for $dev" 85 [[ "$val" == "$oval" ]] || fatal \ [all...] |
H A D | allowed-ips.ksh | 21 function fatal function 31 dladm create-etherstub $ai_stub || fatal "failed to create etherstub" 32 dladm create-vnic -l $ai_stub $ai_vnic || fatal "failed to create vnic" 37 dladm delete-vnic $ai_vnic || fatal "failed to remove vnic" 38 dladm delete-etherstub $ai_stub || fatal "failed to remove etherstub" 48 runtest $* || fatal "allowed-ips=$* failed, expected success\n" 53 runtest $* && fatal "allowed-ips=$* succeeded, expected failure\n"
|
/titanic_51/usr/src/cmd/intrstat/ |
H A D | intrstat.c | 96 fatal(const char *fmt, ...) in fatal() function 234 fatal("cannot specify both a processor set and a processor\n"); in select_cpu() 237 fatal("cpu %d out of range\n", cpu); in select_cpu() 241 fatal("could not get status for cpu %d", cpu); in select_cpu() 242 fatal("cpu %d not present\n", cpu); in select_cpu() 252 fatal("cannot specify both a processor set and processors\n"); in select_cpus() 255 fatal("invalid cpu '%d'\n", low); in select_cpus() 258 fatal("invalid cpu '%d'\n", high); in select_cpus() 261 fatal("invalid range '%d' to '%d'\n", low, high); in select_cpus() 275 fatal("processo in select_pset() [all...] |
/titanic_51/usr/src/cmd/trapstat/sun4/ |
H A D | trapstat.c | 140 fatal(char *fmt, ...) in fatal() function 232 fatal("could not allocate g_selected"); in setup() 238 fatal("could not allocate g_pset_cpus"); in setup() 243 fatal("getpagesizes()"); in setup() 246 fatal("could not allocate g_pgsize array"); in setup() 249 fatal("getpagesizes(%d)", g_pgsizes); in setup() 252 fatal("could not allocate g_pgnames"); in setup() 259 fatal("could not allocate g_pgnames[%d]", i); in setup() 272 fatal("could not allocate data buffer 0"); in setup() 275 fatal("coul in setup() [all...] |
/titanic_51/usr/src/cmd/mdb/test/ |
H A D | mtest.sh | 50 function fatal function 61 mkdir -p $mt_outdir || fatal "failed to make output dir $mt_outdir" 74 [[ -z "$ext" ]] && fatal "found test without ext: $name" 75 [[ -z "$expect" ]] && fatal "found test without prefix: $name" 98 mkdir -p "$odir" >/dev/null || fatal "can't make output directory" 119 mv "$odir" "$mt_outdir/failure.$mt_tfail" || fatal \ 121 cp "$name" "$mt_outdir/failure.$mt_tfail/test" || fatal \ 126 mv "$odir" "$mt_outdir/success.$mt_tsuc" || fatal \ 155 rm -rf "$mt_outdir"/success.* || fatal \ 158 rmdir "$mt_outdir" || fatal \ [all...] |
/titanic_51/usr/src/cmd/csplit/ |
H A D | csplit.c | 74 #define PERROR(x) fatal("%s: Illegal Regular Expression\n", targ); 78 static void fatal(char *, char *); 115 fatal("-n num\n", NULL); in main() 158 fatal("Cannot open %s\n", *argv); in main() 255 * "keep" flag is not set, fatal unlinks all created files. If the 256 * "keep" flag is set, fatal closes the current file(if there is one). 261 fatal(char *string, char *arg) in fatal() function 345 * previous file name is restored for cleanup, and fatal is called. If 367 fatal("Suffix longer than %ld chars; increase -n\n", in getfile() 376 fatal("Nam in getfile() [all...] |
/titanic_51/usr/src/cmd/avs/errgen/ |
H A D | errgen.c | 97 fatal(char *msg) in fatal() function 179 fatal(""); in do_line() 190 fatal("Too many %%s specifiers"); in do_line() 203 fatal("ERRGEN: cannot have %%s and @@ ending too"); in do_line() 262 fatal("Bad number of arguments"); in main() 291 fatal("Unknown option switch"); in main() 317 fatal("Undefined module name"); in main() 326 fatal("errgen file empty"); in main() 339 fatal(""); in main() 345 fatal(""); in main() [all...] |
/titanic_51/usr/src/cmd/bdiff/ |
H A D | bdiff.c | 33 #include <fatal.h> 72 static int fatal_num = 1; /* exit number for fatal exit */ 79 static void fatal(char *); 101 * Set flags for 'fatal' so that it will clean up, in main() 109 fatal("arg count"); in main() 112 fatal("both files standard input"); in main() 119 fatal(Error); in main() 127 fatal(Error); in main() 137 fatal("non-numeric limit"); in main() 155 fatal("Ou in main() 456 fatal(char *msg) fatal() function [all...] |
/titanic_51/usr/src/ucbcmd/chown/ |
H A D | chown.c | 63 void fatal(int, char *, char *); 92 fatal(255, "unknown option: %s", optchar); in main() 106 fatal(255, "unknown group: %s", group); in main() 114 fatal(2, in main() 117 fatal(2, "group id invalid: %s", group); in main() 124 fatal(255, "unknown user id: %s", argv[0]); in main() 131 fatal(2, "user id too large: %s", argv[0]); in main() 133 fatal(2, "user id invalid: %s", argv[0]); in main() 176 fatal(255, "%s", savedir); in chownr() 212 fatal(25 in chownr() 229 fatal(int status, char *fmt, char *a) fatal() function [all...] |
/titanic_51/usr/src/cmd/sed/ |
H A D | compile.c | 164 fatal(_("unexpected EOF (pending }'s)")); in compile_stream() 208 fatal(_("command expected")); in compile_stream() 214 fatal(_("invalid command code %c"), *p); in compile_stream() 216 fatal(_("command %c expects up to %d address(es), " in compile_stream() 240 fatal(_("unexpected }")); in compile_stream() 254 fatal(_("extra characters at the end of %c " in compile_stream() 261 fatal(_("command %c expects \\ " in compile_stream() 266 fatal(_("extra characters after \\ " in compile_stream() 277 fatal(_("filename expected")); in compile_stream() 289 fatal( in compile_stream() [all...] |
/titanic_51/usr/src/test/util-tests/tests/libsff/ |
H A D | libsff.ksh | 30 fatal() function 40 cd $(dirname $0) || fatal "failed to cd to test root" 42 cd $dt_origwd || fatal "failed to return to original dir" 49 fatal "failed to run $testfile" 54 fatal "$t results differ from expected values" 60 rm -f $sff_outfile || fatal "failed to remove output file"
|
/titanic_51/usr/src/lib/brand/shared/zone/ |
H A D | common.ksh | 36 fatal() function 101 fatal "$e_baddir" "$dir" 113 fatal "$e_baddir" "$dir" 124 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src" 135 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src" 146 /usr/bin/mv $src $dst || fatal "$e_badfile" "$src" 613 fatal "$e_absolute_archive" 627 fatal "$e_mismatch_archive" "$base" "$bname" 775 fatal "$e_path_abs" "$insrc" 780 fatal " [all...] |
/titanic_51/usr/src/cmd/sgs/test/ld/assert-deflib/ |
H A D | test-deflib.sh | 36 function fatal function 51 [[ -f $sh_path/$sh_lib/$sh_soname ]] || fatal "missing 32-bit $sh_soname" 53 fatal "missing 64-bit $sh_soname" 54 which $sh_cc >/dev/null || fatal "cc not in path" 72 fatal $4 77 [[ -z "$1" ]] && fatal "<proto root>" 85 "Testing basic compilation fails if warning are fatal..." \ 89 "Testing basic exception with fatal warnings..." \ 93 "Testing basic exception with fatal warnings..." \
|
/titanic_51/usr/src/cmd/fs.d/ufs/newfs/ |
H A D | newfs.c | 67 static void fatal(char *fmt, ...); 204 fatal(gettext( in main() 209 fatal(gettext( in main() 216 fatal(gettext("%s: bad maxcontig"), optarg); in main() 223 fatal(gettext( in main() 232 fatal(gettext("%s: bad total tracks"), optarg); in main() 241 fatal(gettext( in main() 249 fatal(gettext( in main() 256 fatal(gettext( in main() 266 fatal(gettex in main() 699 fatal(char *fmt, ...) fatal() function [all...] |
/titanic_51/usr/src/cmd/dtrace/test/cmd/baddof/ |
H A D | baddof.c | 37 fatal(char *fmt, ...) in fatal() function 104 fatal("couldn't open DTrace pseudo device"); in corrupt() 164 fatal("expected D script as argument\n"); in main() 167 fatal("couldn't open %s", filename); in main() 173 fatal("cannot open dtrace library: %s\n", in main() 181 fatal("failed to compile script %s: %s\n", filename, in main() 189 fatal("could not allocate copy of %d bytes", len); in main() 199 fatal("couldn't open DTrace pseudo device"); in main()
|
/titanic_51/usr/src/cmd/scsi/smp/common/ |
H A D | smp.c | 48 static void fatal(int, const char *, ...) __NORETURN; 59 fatal(int err, const char *fmt, ...) in fatal() function 175 fatal(-4, "exec failed: %s", smp_errmsg()); in smp_execute() 185 fatal(-5, "Command failed: Unknown result (0x%x)", in smp_cmd_failed() 188 fatal(-5, "Command failed: %s", smp_result_str); in smp_cmd_failed() 233 fatal(-6, "Expander does not support PHY-based route table\n"); in smp_handle_report_route_info() 247 fatal(-1, "Invalid route index (%d) or PHY ID (%d)\n", in smp_handle_report_route_info() 426 fatal(-1, "Usage: %s <device> <function> ...\n", argv[0]); in smp_validate_args() 431 fatal(-1, "Usage: %s <device> <function> ...\n", argv[0]); in smp_validate_args() 438 fatal( in smp_validate_args() [all...] |
/titanic_51/usr/src/test/libc-tests/tests/ |
H A D | quick_exit.ksh | 34 function fatal function 46 fatal "Test failed: Expected $qestatus32 to exit $stat " \ 52 fatal "Test failed: Expected $qestatus64 to exit $stat " \ 59 $qe_order32 || fatal "$qe_order32 returned $?" 60 $qe_order64 || fatal "$qe_order32 returned $?"
|
/titanic_51/usr/src/cmd/ttymon/ |
H A D | tmsac.c | 61 fatal("pid file is locked. ttymon may already be " in openpid() 67 fatal("open pid file failed: %s", strerror(errno)); in openpid() 70 fatal("lock pid file failed: %s", strerror(errno)); in openpid() 91 fatal("open sacpipe failed: %s", strerror(errno)); in openpipes() 95 fatal("open pmpipe failed: %s", strerror(errno)); in openpipes() 139 fatal("PMTAG is missing"); in get_environ() 142 fatal("ISTATE is missing"); in get_environ() 195 fatal("pmpipe read failed: %s", in sacpoll()
|
/titanic_51/usr/src/cmd/cmd-inet/usr.sbin/ |
H A D | in.rlogind.c | 139 static void fatal(int, const char *); 306 fatal(STDIN_FILENO, in main() 325 fatal(fd, "Checksums are required and ignored (-c and -i);" in main() 446 fatal(f, "Bad application version length, exiting."); in recvauth() 458 fatal(f, "Unrecognized KCMD protocol, exiting"); in recvauth() 486 fatal(f, "Out of memory error"); in recvauth() 493 fatal(f, "getsockname error"); in recvauth() 549 fatal(f, "Error getting KRB5 session subkey, exiting"); in recvauth() 557 fatal(f, "No KRB5 session subkey sent, exiting"); in recvauth() 568 fatal( in recvauth() 1467 fatal(int fd, const char *msg) fatal() function [all...] |
H A D | in.fingerd.c | 48 void fatal(char *prog, char *s); 65 fatal(argv[0], "getpeername"); 115 fatal(argv[0], "pipe"); 129 fatal(argv[0], "fork"); 132 fatal(argv[0], "fdopen"); 145 fatal(prog, s) in fatal() function
|
/titanic_51/usr/src/lib/brand/solaris10/zone/ |
H A D | image_install.ksh | 141 fatal "$incompat_options" "$m_usage" 148 fatal "$incompat_options" "$m_usage" 157 fatal "$incompat_options" "$m_usage" 173 fatal "$incompat_options" "$m_usage" 177 fatal "$media_missing" "$m_usage" 182 fatal "$incompat_options" "$m_usage" 187 fatal "$cfgchoice_missing" "$m_usage" 192 fatal "$e_tmpfile"
|
/titanic_51/usr/src/contrib/ast/src/lib/libast/regex/ |
H A D | regsubcomp.c | 68 return fatal(disc, REG_EFLAGS, s - 1); in regsubflags() 83 return fatal(disc, REG_EFLAGS, s - 1); in regsubflags() 130 return fatal(disc, REG_BADPAT, NiL); in regsubcomp() 137 return fatal(disc, REG_ESPACE, s); in regsubcomp() 153 return fatal(disc, REG_EDELIM, s); in regsubcomp() 167 return fatal(disc, REG_EDELIM, r); in regsubcomp() 180 return fatal(disc, REG_EESCAPE, r); in regsubcomp() 216 return fatal(disc, REG_EESCAPE, s - 2); in regsubcomp() 294 return fatal(disc, REG_ESPACE, NiL); in regsubcomp() 323 return fatal(dis in regsubcomp() [all...] |
/titanic_51/usr/src/lib/libast/common/regex/ |
H A D | regsubcomp.c | 68 return fatal(disc, REG_EFLAGS, s - 1); in regsubflags() 83 return fatal(disc, REG_EFLAGS, s - 1); in regsubflags() 130 return fatal(disc, REG_BADPAT, NiL); in regsubcomp() 137 return fatal(disc, REG_ESPACE, s); in regsubcomp() 153 return fatal(disc, REG_EDELIM, s); in regsubcomp() 167 return fatal(disc, REG_EDELIM, r); in regsubcomp() 180 return fatal(disc, REG_EESCAPE, r); in regsubcomp() 216 return fatal(disc, REG_EESCAPE, s - 2); in regsubcomp() 294 return fatal(disc, REG_ESPACE, NiL); in regsubcomp() 323 return fatal(disc, REG_ESUBREG, s - 1); in regsubcomp() [all …]
|
/titanic_51/usr/src/cmd/modload/ |
H A D | modunload.c | 41 extern void fatal(char *fmt, ...); 64 fatal("Invalid id %s\n", optarg); in main() 72 fatal("modunload can only be run from the global zone\n"); in main() 96 fatal("Insufficient privileges to unload a module\n"); in main() 132 fatal("usage: modunload -i <module_id> [-e <exec_file>]\n"); in usage()
|
/titanic_51/usr/src/cmd/dtrace/ |
H A D | dtrace.c | 185 fatal(const char *fmt, ...) in fatal() function 268 fatal("failed to write to %s", in oprintf() 309 fatal("failed to open %s", fname); in dof_prune() 314 fatal("failed to fstat %s", fname); in dof_prune() 317 fatal("failed to allocate memory for %s", fname); in dof_prune() 320 fatal("failed to read %s", fname); in dof_prune() 326 fatal("failed to open %s for writing", fname); in dof_prune() 350 fatal("failed to write to %s", fname); in dof_prune() 370 fatal("failed to write to %s", fname); in dof_prune() 387 fatal("faile in etcsystem_prune() [all...] |